/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
/* *************************median.h  ********************************/
/*                                                                   */
/*      descripteurs et prototypes associes a l'operateur Moyenne    */
/*                                                                   */
/*  Derniere modif : G. Marinescu, 01.04.03                          */
/* *******************************************************************/
/*pas de code avant cette ligne */
#ifndef __median3d
#define __median3d

#include "volume.h"   /* descripteurs et prototypes des fonctions de ima3D */
#include "image.h"
#include "proto2D.h"

//#define false 0
//#define true 1


/** descripteur pour l'oprateur mdian3d contenant les dimensions du masques 3D*/
typedef struct {
    long winX;    
    long winY;
    long winZ;
} median3d_t;


// Prototype des fonctions utilises dans median.c
param* median3d_lect(median3d_t* tMasque, param* ptp, char* debq);
int median3d_init(median3d_t* tMasque, ima3Du1 im0, ima3Du1* imres);
int median3d_calc(median3d_t* tMasque, ima3Du1 im0, ima3Du1* imres);      



/*pas de code aprs cette ligne*/
#endif
