/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "image.h"    /* types des donnees manipulees dans ima2D */
#include "proto2D.h"  /* descripteurs et prototypes des fonctions de ima2D */
#include "traitement_point_apprentissage.h"    /* complement pour les operateurs en cours de developpt */ 
#include <stdlib.h>


int main(int argc, char *argv[]){

  param par0, *ptp;      /* tete et pointeur pour la chaine de parametres */
  lgr_d a;
  learning_set ls;


  param_debut(argc, argv, &par0); 
  ptp = &par0;      /* regle : ptp pointe sur la structure du parametre suivant */
  ptp = traitement_donnees_lect(&a, ptp, " ");
  param_fin(argc, argv, &par0);

  traitement_donnees_init(a, &ls);
 
  traitement_donnees_calc(ls, a);
 
   return(0); 
}

