/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/



/*pas de code avant cette ligne */
#ifndef __carte_distance
#define __carte_distance


#include "volume.h"
#include "image.h"
#include "proto2D.h"



typedef struct{
  unsigned int	mask_av[5][5][5]; 
  float	L, H, P;
}carte_distance3d_t;


param* carte_distance3d_lect(carte_distance3d_t* des, param* ptp, char* debq);
int carte_distance3d_init(carte_distance3d_t* des);
int carte_distance3d_calc(carte_distance3d_t* des,  ima3Du4* ima);


/*pas de code aprs cette ligne*/
#endif

