/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
/* ************************* eval_volume.h  ************************************/
/*                                                                             */
/* descripteurs et prototypes associes a l'operateur d'evaluation des bloc 3D  */
/*                                                                             */
/*  Derniere modif : L. Valet, 22.11.2006                                      */
/* *****************************************************************************/
/*pas de code avant cette ligne */
#ifndef __eval3d
#define __eval3d

#include "volume.h"   /* descripteurs et prototypes des fonctions de ima3D */
#include "image.h"
#include "proto2D.h"




typedef struct{
  unsigned char classe;
  ima3Du8* ima_etiq;
} eval_volume_t;


/* Prototype des fonctions utilises dans lreggr3d.c*/
param* eval_volume_lect(eval_volume_t* des, param* ptp, char* debq);
int eval_volume_init(eval_volume_t* des, ima3Du1* imaIn);
int eval_volume_calc(eval_volume_t* des, ima3Du1* imaIn);      
int eval_volume_ferm(eval_volume_t* des);



/*pas de code aprs cette ligne*/
#endif
