/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
 
#include "classifier.h"

//the variable type responsible for the rules and the quadrangles from which they were extracted
typedef struct { 
  char *fisin;
  char *fisout1;
  char *fisout2;
  int nb_class;
  int nb_attr;
  int *nb_pts;
  double lefrght[2][2];
  double updown[2][2];
  double slopes[4];
  double n[4];
  double func_app1[2][3];
  double func_app2[2][3];
  int *comp_connex;
  int *comp_convex;
  int **pts_subclasses;
  short isProcessed;
} lgr_d;


//the variable that concerns the connex components of evey class - from the point of view of the point cloud
typedef struct {
  int *nb_subclass;
  int **nb_pts;
} connex_comp;

//the chaining list that contains the points marked as belonging to the contour (not the convex hull!)
  typedef double pct;
  typedef struct elem_contour {
    pct x;
    pct y;
    struct elem_contour *next;
    struct elem_contour *ant;
  } elem_contour;

//functions that can be used independently

/* int clean_learning_set(learning_set *iris, lgr_d *id); */


/*   typedef struct contour { */
/*     elem_contour *first; */
/*     elem_contour *current; */
/*   } contour; */
