/* ************************* essai.h  **********************************/
/*                                                                     */
/*      descripteurs et prototypes associes a l'operateur essai        */
/*                                                                     */
/*  Derniere modif : E. TROUVE, 18/10/99                               */
/* *********************************************************************/

/** 
\ingroup essai
descripteur de demonstration
*/
typedef struct{
    int dimX;        /** exemple de parametre entier   */
    int dimY;        /** exemple de parametre entier   */
    float gain;      /** exemple de parametre reel */
    char forme[200]; /** exemple de parametre de type chaine de charactere */
    imafl msq;       /** exemple de variable : coeffs d'un masque (fl) */
} essai_t;

param *essai_lect(essai_t *des, param *ptp, char *debq);
int essaiu1_init(essai_t *des, imau1 im0, imau1 *imres);     
int essaiu1_calc(essai_t *des, imau1 im0, imau1 *imres);     


