/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>

void permuteLong(char *a)
{
  char tmp;
  tmp=a[0]; a[0]=a[7]; a[7]=tmp;
  tmp=a[1]; a[1]=a[6]; a[6]=tmp;
  tmp=a[2]; a[2]=a[5]; a[5]=tmp;
  tmp=a[3]; a[3]=a[4]; a[4]=tmp;
}
void permuteLongTab(unsigned long *a, int nb)
 {
     int i;
 
     for(i=0;i<nb;i++) permuteLong( (char *) &a[i]);
 }

/**************************/
void permuteInt(char *a)
{
  char tmp;
  
  tmp=a[0]; a[0]=a[3]; a[3]=tmp;
  tmp=a[1]; a[1]=a[2]; a[2]=tmp;
}
void permuteIntTab(unsigned int *a, int nb)
{
  int i;  
  for(i=0;i<nb;i++) 
    permuteInt( (char *) &a[i]);
}

/**************************/
void permuteShort(char *a)
{
  char tmp;
  
  tmp=a[0]; a[0]=a[1]; a[1]=tmp;
}
void permuteShortTab(short *a, int nb)
{
  int i;  
  for(i=0;i<nb;i++) 
    permuteShort( (char *) &a[i]);
}

/**************************/
void permuteFloat(char *a )
{
  char tmp;
  tmp=a[0]; a[0]=a[3]; a[3]=tmp;
  tmp=a[1]; a[1]=a[2]; a[2]=tmp;
}
void permuteFloatTab(float *a, int nb)
{
  int i;  
  for(i=0;i<nb;i++) 
    permuteFloat((char *) &a[i]);
}
