/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
/***************************************************************************/
/* TRAITEMENT BIDIMENSIONNEL (D'UNE IMAGE) PAR LA METHODE DE L'HISTOGRAMME */
/* AVEC UNE FENETRE RECTANGULAIRE (TRAITEMENT NON SEPARABLE) 	      	   */
/***************************************************************************/
/*pas de code avant cette ligne */
#ifndef __medhist
#define __medhist


#include <stdio.h>
#include <math.h>
#include <sys/param.h>
#include "image.h"
#include "proto2D.h"
#include "rasterfile.h"


/** descripteur pour l'oprateur de filtrage mdian*/
typedef struct {
  int tf; /**< taille de la fenetre d'analyse*/
} median_hist_t;



param *medhist_lect(median_hist_t *des, param *ptp, char *debq);
int medhist_init(median_hist_t *des, imau1 im0, imau1 *imres);
int medhist_calc(median_hist_t *des, imau1 im0, imau1 *imres);


/*pas de code aprs cette ligne*/
#endif
