/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
/* ************************* essai.h  **********************************/
/*                                                                     */
/*      descripteurs et prototypes associes a l'operateur essai        */
/*                                                                     */
/*  Derniere modif : E. TROUVE, 18/10/99                               */
/* *********************************************************************/

/** 
\ingroup essai
descripteur de demonstration
*/

#ifndef __ESSAI
#define __ESSAI

#include "volume.h"

typedef struct{
  int dimX;        /** exemple de parametre entier   */
  int dimY;        /** exemple de parametre entier   */
  float gain;      /** exemple de parametre reel */
  char forme[200]; /** exemple de parametre de type chaine de charactere */
  int msq;       /** exemple de variable : coeffs d'un masque */
} essai_t;

param *essai_lect(essai_t *des, param *ptp, char *debq);
int essaiu1_init(essai_t *des, ima3Du1 imaIn, ima3Du1 *imaOut);     
int essaiu1_calc(essai_t *des, ima3Du1 imaIn, ima3Du1 *imaOut);     


/*pas de code aprs cette ligne*/
#endif
