/*
*    Copyright (c) 2007. The BATI team. All right reserved.
*
*    This file is part of BATI library.
*
*    BATI library is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    BATI library  is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with BATI library.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "haar_wavelet.h"
#include <string.h>


int main(int argc, char *argv[])
{

  param par0, *ptp;      /* tete et pointeur pour la chaine de parametres */

  char NomFicSortant [50];
  char NomFicEntrant[50];

  hw_coef_on_window_t des;

  ima3Du1 imscr;
  ima3Du1 imres;

  /*lecture des param�res*/
  param_debut(argc, argv, &par0); 
  ptp = &par0;      /* regle : ptp pointe sur la structure du parametre suivant */

  lec_param(">>Entrer le chemin et le nom de l'image a traiter", ptp);
  strcpy(NomFicEntrant, ptp->rep);
  ptp = ptp->next;  

  ptp = hw_coef_on_window_lect( &des, ptp, ">>HW question :");

  lec_param(">>Entrer le chemin et le nom de l'image resulat", ptp);
  strcpy(NomFicSortant, ptp->rep);
  ptp = ptp->next; 

  /* fin: sauvegarde des parametres utilises en mode MANUEL ou FICHIER */
  param_fin(argc, argv, &par0);

  /*lecture de l'image sourceau format lvf*/
  lect_volume_u1 (NomFicEntrant, &imscr);
  printf("lgtete: %d\n", imscr.lgtete);
  
  hw_coef_on_window_init( &des, &imscr, &imres);
  printf("Fin init\n");
  hw_coef_on_window_calc( &des, &imscr, &imres);
  printf("Fin calc\n");

  /*Sauvegarde de l'image*/
  //ecr_ima3Du1( NomFicSortant, &imscr);
  write_volume_u1( NomFicSortant, &imres);

}
